<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
  $act = check($_GET['act']);
} else {
  $act = 'index';
} 
if (isset($_GET['start'])) {
  $start = abs(intval($_GET['start']));
} else {
  $start = 0;
} 

if (is_admin(array(101, 102))) {
  show_title('site.png', 'Правила сайта');
  $config['newtitle'] = 'Правила сайта';

  switch ($act):
  # ###########################################################################################
  # #                                    Главная страница                                    ##
  # ###########################################################################################
  case 'index':

    $rules = DB :: $dbh -> queryFetch("SELECT * FROM `rules`;");

    if (!empty($rules)) {
      $rules['rules_text'] = str_replace(array('%SITENAME%', '%MAXBAN%'), array($config['title'], round($config['maxbantime'] / 1440)), $rules['rules_text']);

      echo bb_code($rules['rules_text']) . '<hr />';

      echo 'Последнее изменение: ' . date_fixed($rules['rules_time']) . '<br /><br />';
    } else {
      show_error('Правила сайта еще не установлены!');
    } 

    echo '<img src="../images/img/edit.gif" alt="image" /> <a href="rules.php?act=edit&amp;' . SID . '">Редактировать</a><br />';
    break;
  # ###########################################################################################
  # #                                   Редактирование                                       ##
  # ###########################################################################################
  case 'edit':

    $rules = DB :: $dbh -> queryFetch("SELECT * FROM `rules`;");

    echo '<div class="form" id="form">';
    echo '<form action="rules.php?act=change&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" name="form" method="post">';

    $rules['rules_text'] = nosmiles($rules['rules_text']);
    $rules['rules_text'] = yes_br($rules['rules_text']);

    echo '<b>Текст правил:</b><br />';
    echo '<textarea cols="35" rows="20" name="msg">' . $rules['rules_text'] . '</textarea><br />';

    quickpaste('msg');
    quickcode();

    echo '<input type="submit" value="Изменить" /></form></div><br />';

    echo '<b>Внутренние переменные:</b><br />';
    echo '%SITENAME% - Название сайта<br />';
    echo '%MAXBAN% - Максимальное время бана<br /><br />';

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="rules.php?' . SID . '">Вернуться</a><br />';
    break;
  # ###########################################################################################
  # #                                     Изменение                                          ##
  # ###########################################################################################
  case 'change':

    $uid = check($_GET['uid']);
    $msg = check($_POST['msg']);

    if ($uid == $_SESSION['token']) {
      if (utf_strlen($msg) > 0) {
        $msg = no_br($msg);
        $msg = str_replace('&#37;', '%', $msg);

        DB :: $dbh -> query("REPLACE INTO `rules` (`rules_id`, `rules_text`, `rules_time`) VALUES (?,?,?);", array(1, $msg, SITETIME));

        $_SESSION['note'] = 'Правила успешно изменены!';
        header ("Location: rules.php?" . SID);
        exit;
      } else {
        show_error('Ошибка! Вы не ввели текст с правилами сайта!');
      } 
    } else {
      show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
    } 

    echo '<img src="../images/img/back.gif" alt="image" /> <a href="rules.php?act=edit&amp;' . SID . '">Вернуться</a><br />';
    echo '<img src="../images/img/reload.gif" alt="image" /> <a href="rules.php?' . SID . '">К правилам</a><br />';
    break;

  default:
    header("location: rules.php?" . SID);
    endswitch;

    echo '<img src="../images/img/panel.gif" alt="image" /> <a href="index.php?' . SID . '">В админку</a><br />';
    echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a><br />';
  } else {
  header ('Location: ' . BASEDIR . 'index.php?' . SID);
  exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>